Page 1 of 3 123 LastLast
Results 1 to 10 of 26

Thread: OpenSuSe 42.1 Leap - Kdenlive

  1. #1
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default OpenSuSe 42.1 Leap - Kdenlive

    Greetings,

    After upgrading to 42.1 (fresh install) and installing some extra applications, Kdenlive being one of them, dosen't start.
    In 13.2 was working well but in Leap is not.

    Anyone with this problem?

    There are also some other issues like VLC (2 windows opening) but i saw a thread already on that.

    Thanks in advance.

    Cheers

  2. #2

    Default Re: OpenSuSe 42.1 Leap - Kdenlive

    Quote Originally Posted by hugosyt View Post
    After upgrading to 42.1 (fresh install) and installing some extra applications, Kdenlive being one of them, dosen't start.
    In 13.2 was working well but in Leap is not.
    Anyone with this problem?
    Yes, see here:
    https://forum.kde.org/viewtopic.php?f=269&t=129162

    I will submit fixed libmlt and frei0r-plugins packages as soon as possible (already prepared them, but OBS still needs some time to build them), and hope that we can get them out as update for Leap as well.
    (although you should get them via Packman in any case)

  3. #3
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Re: OpenSuSe 42.1 Leap - Kdenlive

    Thanks for the reply, glad to know that there is a fix on the way.
    When you say "ASAP" you mean weeks or days?


    Thanks

  4. #4

    Default Re: OpenSuSe 42.1 Leap - Kdenlive

    Quote Originally Posted by hugosyt View Post
    Thanks for the reply, glad to know that there is a fix on the way.
    When you say "ASAP" you mean weeks or days?
    Well, I will definitely submit the packages as soon as they are built, and will hopefully have them accepted in the devel repo in the next days.

    But if we are talking about an official update for Leap, it will normally be a bit more than a week.

    For Packman, no idea. AFAIK they branch from Factory, so that depends on the review process. Next week, I suppose, if there are no problems.
    If they branch from multimedia:libs (the devel repo), it will be sooner, a few days I suppose (depending on how long it will take for the maintainers to accept them, but they are quite fast normally IME).

    If you need to use kdenlive now, you can take the KDE4 package from the repo I mentioned in the KDE forums thread for now.
    Last edited by wolfi323; 05-Nov-2015 at 13:00.

  5. #5
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Thumbs up Re: OpenSuSe 42.1 Leap - Kdenlive

    Ok, i'll try using it with the KDE4 like you said.

    Anyway i'm using the opensuse repo so i'll pay attention to the updates.

    Thanks for the help

  6. #6

    Default Re: OpenSuSe 42.1 Leap - Kdenlive

    FYI, Packman does have the new libmlt for Leap since a few hours.
    So if you want to switch back to kdenlive 15.08.1 as shipped with Leap, you can now.

    One problem still exists though: frei0r-plugins is still built against Qt4, and will crash kdenlive/libmlt. So uninstall it in that case if you have it installed (it's only recommended).
    An official update for this will hopefully be released in a week or so though.

  7. #7

    Default Re: OpenSuSe 42.1 Leap - Kdenlive

    Just to keep you updated:
    I submitted an official update with the new libmlt and frei0r-plugins packages (built against Qt5) for Leap 42.1 today.

    Should be released in about a week, if nothing goes wrong...

  8. #8
    Join Date
    Jan 2013
    Location
    Porto
    Posts
    82

    Default Re: OpenSuSe 42.1 Leap - Kdenlive

    HI,

    Thanks for mentioning the update
    When i realized that there was an update, after updating, kdenlive stoped working but i managed to make it start again but still using kde 4.14.10. Before all this, at some point at statup it asked me the locations of the "mlt" profiles, after selecting the location, it crashed after starting. But now works

  9. #9

    Smile Re: OpenSuSe 42.1 Leap - Kdenlive

    Quote Originally Posted by hugosyt View Post
    HI,

    Thanks for mentioning the update
    When i realized that there was an update, after updating, kdenlive stoped working but i managed to make it start again but still using kde 4.14.10. Before all this, at some point at statup it asked me the locations of the "mlt" profiles, after selecting the location, it crashed after starting. But now works
    Hello, I have remove frei0r-plugins packages (and openShot, of course) and Kdenlive starts well.
    I have experienced the same issue regarding mtl profiles location. It is due to mlt instead of mlt-6 at path.

    Now, Kdenlive runs properly.

    Regards

  10. #10

    Default Re: OpenSuSe 42.1 Leap - Kdenlive

    Quote Originally Posted by pintxiki View Post
    Hello, I have remove frei0r-plugins packages (and openShot, of course) and Kdenlive starts well.
    There should be no need to remove openShot...
    It is Qt5 based as well AFAIK.

    I want to mention again that I have submitted Qt5-based frei0r-plugins as update for Leap, the update will be released in about a week and everything should be fine then.

    I have experienced the same issue regarding mtl profiles location. It is due to mlt instead of mlt-6 at path.
    This is fixed in kdenlive 15.08.3, which also has been submitted as update for Leap 42.1.

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •